fglrx-updates 2:8.982-0ubuntu0.1: fglrx-updates kernel module failed to build [Error! Application of patch fix-build-issue-on-i386-where-TS_USEDFPU-is-no-longe.patch failed.]

Bug #1048142 reported by Radosław Rymaszewski on 2012-09-09
This bug affects 249 people
Affects Status Importance Assigned to Milestone
fglrx-installer-updates (Ubuntu)
High
Alberto Milone
Precise
High
Alberto Milone

Bug Description

[Impact]
A patch included in the driver dkms packaging was included in a kernel update, so the patch application by the driver began to fail.

[Fix]
The patch in question can now be dropped. There is a new upstream driver released for fglrx so we may as well pull that in at this time.

[Test Case]
1. On a precise system with a recent supported ATI graphics card
2. Run jockey-gtk
3. Select the fglrx-updates package and install it
4. Reboot

Expected: Installs cleanly and boots back to ubuntu using the fglrx driver
Actual: Fails installation.

[Regression Potential]
Since this is a patch application issue, only way this would regress is if someone readded it.

The fix being proposed includes updating to a new driver release, which is fine as per the tech board's video driver update policy, however since the driver is closed source we have no way of being 100% sure there are not changes which could bring regression.

[Recommended Validation]
 * Verify the driver can be installed via jockey, and will reboot ok
 * At least 1-week in -proposed for testing

[Original Report]

I get information that some problems occurred during update this package.

ProblemType: Package
DistroRelease: Ubuntu 12.04
Package: fglrx-updates 2:8.982-0ubuntu0.1
ProcVersionSignature: Ubuntu 3.2.0-31.50-generic 3.2.28
Uname: Linux 3.2.0-31-generic x86_64
NonfreeKernelModules: fglrx
ApportVersion: 2.0.1-0ubuntu13
Architecture: amd64
DKMSKernelVersion: 3.2.0-31-generic
Date: Sun Sep 9 09:44:00 2012
DistributionChannelDescriptor:
 # This is a distribution channel descriptor
 # For more information see http://wiki.ubuntu.com/DistributionChannelDescriptor
 canonical-oem-somerville-oneiric-amd64-20111116-1
InstallationMedia: Ubuntu 11.10 "Oneiric" - Build amd64 LIVE Binary 20111116-18:24
PackageVersion: 2:8.982-0ubuntu0.1
SourcePackage: fglrx-installer-updates
Title: fglrx-updates 2:8.982-0ubuntu0.1: fglrx-updates kernel module failed to build
UpgradeStatus: No upgrade log present (probably fresh install)

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in fglrx-installer-updates (Ubuntu):
status: New → Confirmed
Max Bowsher (maxb) wrote :

Error output from dpkg run:

Loading new fglrx-updates-8.982 DKMS files...
Building for 3.2.0-30-generic and 3.2.0-31-generic
Building for architecture x86_64
Building initial module for 3.2.0-30-generic
Error! Application of patch fix-build-issue-on-i386-where-TS_USEDFPU-is-no-longe.patch failed.
Check /var/lib/dkms/fglrx-updates/8.982/build/ for more information.

Examining the directory specified suggests that an approximate equivalent to this patch has been merged upstream.

MilkBoy (michael-wikberg) wrote :

Had to remove both fix-build-issue-on-i386-where-TS_USEDFPU-is-no-longe.patch and replace-for_each_cpu_mask-with-for_each_possible_cpu.patch from dkms.conf to get this version installed.. Then a simple dpkg-reconfigure fglrx-updates seems to have fixed the problem...

Allan Jacobs (jacobsallanster) wrote :

There are some warning messages before the error message recorded in comment #3.

Setting up fglrx-updates (2:8.982-0ubuntu0.1) ...
update-alternatives: warning: forcing reinstallation of alternative /usr/lib/fglrx/ld.so.conf because \
  link group x86_64-linux-gnu_gl_conf is broken.
update-alternatives: warning: skip creation of /etc/OpenCL/vendors/amdocl32.icd because associated file \
  /usr/lib/fglrx/etc/OpenCL/vendors/amdocl32.icd (of link group x86_64-linux-gnu_gl_conf) doesn't exist.
update-alternatives: warning: forcing reinstallation of alternative /usr/lib/fglrx/ld.so.conf because link \
  group x86_64-linux-gnu_gl_conf is broken.
update-alternatives: warning: skip creation of /etc/OpenCL/vendors/amdocl32.icd because associated file \
  /usr/lib/fglrx/etc/OpenCL/vendors/amdocl32.icd (of link group x86_64-linux-gnu_gl_conf) doesn't exist.
update-initramfs: deferring update (trigger activated)

i30817 (i30817) wrote :

How can we solve this? As users i mean.

aanno (thomas-pasch) wrote :

Well, I reinstalled fglrx (this removes fglrx-updates). This will get you accelerated X11 back after a reboot...

matthieu vidal (mvidal0001) wrote :

I guess this update error gave me big trouble with compiz :

compiz[2776]: segfault at 0 ip 00007fda7931aae4 sp 00007fff49456d70 error 4 in libc-2.15.so

I had to delete fglrx-updates from synaptic to solve the compiz problem.

hope this help.

Daniel van Vugt (vanvugt) wrote :

Radosław,

Could you please run this command to find the log file and then attach the file to this bug?
    find /var/lib/dkms/fglrx-updates -name make.log

Changed in fglrx-installer-updates (Ubuntu):
status: Confirmed → Incomplete

"""
Setting up fglrx-updates (2:8.982-0ubuntu0.1) ...
update-alternatives: warning: forcing reinstallation of alternative /usr/lib/fglrx/ld.so.conf because link group x86_64-linux-gnu_gl_conf is broken.
update-alternatives: warning: skip creation of /etc/OpenCL/vendors/amdocl32.icd because associated file /usr/lib/fglrx/etc/OpenCL/vendors/amdocl32.icd (of link group x86_64-linux-gnu_gl_conf) doesn't exist.
update-alternatives: warning: forcing reinstallation of alternative /usr/lib/fglrx/ld.so.conf because link group x86_64-linux-gnu_gl_conf is broken.
update-alternatives: warning: skip creation of /etc/OpenCL/vendors/amdocl32.icd because associated file /usr/lib/fglrx/etc/OpenCL/vendors/amdocl32.icd (of link group x86_64-linux-gnu_gl_conf) doesn't exist.
update-initramfs: deferring update (trigger activated)
update-initramfs: Generating /boot/initrd.img-3.2.0-30-generic
Loading new fglrx-updates-8.982 DKMS files...
Building for 3.2.0-30-generic and 3.2.0-31-generic
Building for architecture x86_64
Building initial module for 3.2.0-30-generic
Error! Application of patch fix-build-issue-on-i386-where-TS_USEDFPU-is-no-longe.patch failed.
Check /var/lib/dkms/fglrx-updates/8.982/build/ for more information.
update-initramfs: deferring update (trigger activated)

"""

"""
$ egrep -i 'error|warn|fail' /var/log/apt/term.log | egrep -i fglrx
update-alternatives: warning: forcing reinstallation of alternative /usr/lib/fglrx/ld.so.conf because link group x86_64-linux-gnu_gl_conf is broken.
update-alternatives: warning: skip creation of /etc/OpenCL/vendors/amdocl32.icd because associated file /usr/lib/fglrx/etc/OpenCL/vendors/amdocl32.icd (of link group x86_64-linux-gnu_gl_conf) doesn't exist.
update-alternatives: warning: forcing reinstallation of alternative /usr/lib/fglrx/ld.so.conf because link group x86_64-linux-gnu_gl_conf is broken.
update-alternatives: warning: skip creation of /etc/OpenCL/vendors/amdocl32.icd because associated file /usr/lib/fglrx/etc/OpenCL/vendors/amdocl32.icd (of link group x86_64-linux-gnu_gl_conf) doesn't exist.
update-alternatives: warning: forcing reinstallation of alternative /usr/lib/fglrx/ld.so.conf because link group x86_64-linux-gnu_gl_conf is broken.
update-alternatives: warning: skip creation of /etc/OpenCL/vendors/amdocl32.icd because associated file /usr/lib/fglrx/etc/OpenCL/vendors/amdocl32.icd (of link group x86_64-linux-gnu_gl_conf) doesn't exist.

"""

Goran Miskovic (schkovich) wrote :

Exactly the same as Kristian reported:
$ egrep -i 'error|warn|fail' /var/log/apt/term.log | egrep -i fglrx
update-alternatives: warning: forcing reinstallation of alternative /usr/lib/fglrx/ld.so.conf because link group x86_64-linux-gnu_gl_conf is broken.
update-alternatives: warning: skip creation of /etc/OpenCL/vendors/amdocl32.icd because associated file /usr/lib/fglrx/etc/OpenCL/vendors/amdocl32.icd (of link group x86_64-linux-gnu_gl_conf) doesn't exist.
update-alternatives: warning: forcing reinstallation of alternative /usr/lib/fglrx/ld.so.conf because link group x86_64-linux-gnu_gl_conf is broken.
update-alternatives: warning: skip creation of /etc/OpenCL/vendors/amdocl32.icd because associated file /usr/lib/fglrx/etc/OpenCL/vendors/amdocl32.icd (of link group x86_64-linux-gnu_gl_conf) doesn't exist.
update-alternatives: warning: forcing reinstallation of alternative /usr/lib/fglrx/ld.so.conf because link group x86_64-linux-gnu_gl_conf is broken.
update-alternatives: warning: skip creation of /etc/OpenCL/vendors/amdocl32.icd because associated file /usr/lib/fglrx/etc/OpenCL/vendors/amdocl32.icd (of link group x86_64-linux-gnu_gl_conf) doesn't exist.
update-alternatives: warning: forcing reinstallation of alternative /usr/lib/fglrx/ld.so.conf because link group x86_64-linux-gnu_gl_conf is broken.
update-alternatives: warning: skip creation of /etc/OpenCL/vendors/amdocl32.icd because associated file /usr/lib/fglrx/etc/OpenCL/vendors/amdocl32.icd (of link group x86_64-linux-gnu_gl_conf) doesn't exist.
update-alternatives: warning: forcing reinstallation of alternative /usr/lib/fglrx/ld.so.conf because link group x86_64-linux-gnu_gl_conf is broken.
update-alternatives: warning: skip creation of /etc/OpenCL/vendors/amdocl32.icd because associated file /usr/lib/fglrx/etc/OpenCL/vendors/amdocl32.icd (of link group x86_64-linux-gnu_gl_conf) doesn't exist.
update-alternatives: warning: forcing reinstallation of alternative /usr/lib/fglrx/ld.so.conf because link group x86_64-linux-gnu_gl_conf is broken.
update-alternatives: warning: skip creation of /etc/OpenCL/vendors/amdocl32.icd because associated file /usr/lib/fglrx/etc/OpenCL/vendors/amdocl32.icd (of link group x86_64-linux-gnu_gl_conf) doesn't exist.

During fglrx-updates installation I received information:

Error! Application of patch fix-build-issue-on-i386-where-TS_USEDFPU-is-no-longe.patch failed.
Check /var/lib/dkms/fglrx-updates/8.982/build/ for more information.

Directory /var/lib/dkms/fglrx-updates/8.982/build/ doesn't contain log file (make.log)

Shell I do something more ?

Changed in fglrx-installer-updates (Ubuntu):
status: Incomplete → Confirmed
status: Confirmed → Incomplete
stehpan (stehpan) wrote :

I second the following: comment #3, comment #5, comment #10, comment #13

Daniel van Vogut: 'find /var/lib/dkms/fglrx-updates -name make.log' and a sudo-ed variant return nothing.
No sign of any log file at /var/lib/dkms/fglrx-updates/8.982/build/

Trying the workaround proposed in comment #4:
Edited /usr/src/fglrx-updates-8.982/dkms.conf (removed fix-build-issue-on-i386-where-TS_USEDFPU-is-no-longe.patch and replace-for_each_cpu_mask-with-for_each_possible_cpu.patch)
sudo dpkg-reconfigure fglrx-updates
was not enough, I needed an additional run of
sudo dpkg --configure fglrx-updates
and
sudo dpkg-reconfigure fglrx-updates
because the first run of dpkg-reconfigure complained about an unfinished installation of fglrx-updates.

Then the modules are build.
The warnings as of comment #5 still persist:

Removing all DKMS Modules
Done.
update-alternatives: Warnung: Neuinstallation der Alternative /usr/lib/fglrx/ld.so.conf ist erzwungen, weil Linkgruppe x86_64-linux-gnu_gl_conf defekt ist.
update-alternatives: Warnung: Erstellung von /etc/OpenCL/vendors/amdocl32.icd wird übersprungen, weil die zugehörige Datei /usr/lib/fglrx/etc/OpenCL/vendors/amdocl32.icd (der Link-Gruppe x86_64-linux-gnu_gl_conf) nicht existiert.
update-alternatives: Warnung: Neuinstallation der Alternative /usr/lib/fglrx/ld.so.conf ist erzwungen, weil Linkgruppe x86_64-linux-gnu_gl_conf defekt ist.
update-alternatives: Warnung: Erstellung von /etc/OpenCL/vendors/amdocl32.icd wird übersprungen, weil die zugehörige Datei /usr/lib/fglrx/etc/OpenCL/vendors/amdocl32.icd (der Link-Gruppe x86_64-linux-gnu_gl_conf) nicht existiert.
update-initramfs: deferring update (trigger activated)

I hope things don't break badly when I reboot.

stehpan (stehpan) wrote :

Bad luck after reboot, with workaround of comment #4:

$ glxinfo
name of display: :0.0
X Error of failed request: BadRequest (invalid request code or no such operation)
  Major opcode of failed request: 135 (GLX)
  Minor opcode of failed request: 19 (X_GLXQueryServerString)
  Serial number of failed request: 12
  Current serial number in output stream: 12

and another:
$ sudo dpkg-reconfigure fglrx-updates
/usr/sbin/dpkg-reconfigure: fglrx-updates ist kaputt oder nicht komplett installiert
saying fglrx-updates is broken or not fully installed.

lsmod doesn't print anything with "fgl" or "rad" in it.

I'm running a Mobility Radeon HD 3400.
And for now I'm switching back to the package fglrx Version 960

stehpan (stehpan) wrote :

A "modprobe fglrx" with the workaround gives me the following in dmesg:

[ 1400.200749] [fglrx:firegl_init_device_list] *ERROR* No supported display adapters were found
[ 1400.200752] [fglrx:firegl_init_module] *ERROR* firegl_init_devices failed

Let me just state for the record that ATI fucking blows as a company and
should be banned from all Linux computers. Nvidia all the way...
On Sep 12, 2012 6:15 AM, "stehpan" <email address hidden> wrote:

> A "modprobe fglrx" with the workaround gives me the following in dmesg:
>
> [ 1400.200749] [fglrx:firegl_init_device_list] *ERROR* No supported
> display adapters were found
> [ 1400.200752] [fglrx:firegl_init_module] *ERROR* firegl_init_devices
> failed
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1048142
>
> Title:
> fglrx-updates 2:8.982-0ubuntu0.1: fglrx-updates kernel module failed
> to build
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/fglrx-installer-updates/+bug/1048142/+subscriptions
>

by the way:
the same "problem with system-services" occurs on LinuxMint 13 maya (based on ubuntu 12.04lts) after updating the last updates dated 20120907 ff.
In both cases, I chosed the new config files (3 or 4 different files, don't remember the cfgs' names) during update process. probably it would have been better to save the old configs??

Please check and fix asap - it's rather frustrating!

summary: fglrx-updates 2:8.982-0ubuntu0.1: fglrx-updates kernel module failed to
- build
+ build [Error! Application of patch fix-build-issue-on-i386-where-
+ TS_USEDFPU-is-no-longe.patch failed.]
Changed in fglrx-installer-updates (Ubuntu):
status: Incomplete → Triaged
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → High

My solution for this problem is described in comment #3 on bug #1022898.

hdz (msghdz) wrote :
Download full text (3.1 KiB)

I deleted the patches then edited and removed patch lines 1 2 3 from dkms.conf, then did

turtle@turtle-Precision-WorkStation-370:~$ sudo dpkg-reconfigure fglrx-updates
update-initramfs: deferring update (trigger activated)
Loading new fglrx-updates-8.982 DKMS files...
Building only for 3.2.0-31-generic
Building for architecture i686
Building initial module for 3.2.0-31-generic
Done.

fglrx_updates:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/3.2.0-31-generic/updates/dkms/

depmod....

DKMS: install completed.
update-initramfs: deferring update (trigger activated)
turtle@turtle-Precision-WorkStation-370:~$ ls -la /lib/modules/3.2.0-31-generic/updates/dkms/
total 2780
drwxr-xr-x 2 root root 4096 Sep 24 15:21 .
drwxr-xr-x 3 root root 4096 Sep 13 13:52 ..
-rw-r--r-- 1 root root 2835048 Sep 24 15:21 fglrx_updates.ko
turtle@turtle-Precision-WorkStation-370:~$ find /var/lib/dkms/fglrx-updates -name make.log
turtle@turtle-Precision-WorkStation-370:~$ find /var/lib/dkms/fglrx-updates -name make.log
/var/lib/dkms/fglrx-updates/8.982/3.2.0-31-generic/i686/log/make.log
turtle@turtle-Precision-WorkStation-370:~$ cat /var/lib/dkms/fglrx-updates/8.982/3.2.0-31-generic/i686/log/make.log
DKMS make.log for fglrx-updates-8.982 for kernel 3.2.0-31-generic (i686)
Mon Sep 24 15:21:24 EDT 2012
/usr/sbin/dkms: line 73: cd: /var/lib/dkms/fglrx/8.982/build: No such file or directory
AMD kernel module generator version 2.1
make.sh: 390: [: 1: unexpected operator
make.sh: 396: [: 1: unexpected operator
doing Makefile based build for kernel 2.6.x and higher
rm -rf *.c *.h *.o *.ko *.a .??* *.symvers
make -C /lib/modules/3.2.0-31-generic/build SUBDIRS=/var/lib/dkms/fglrx-updates/8.982/build/2.6.x modules
make[1]: Entering directory `/usr/src/linux-headers-3.2.0-31-generic'
  CC [M] /var/lib/dkms/fglrx-updates/8.982/build/2.6.x/firegl_public.o
  CC [M] /var/lib/dkms/fglrx-updates/8.982/build/2.6.x/kcl_acpi.o
  CC [M] /var/lib/dkms/fglrx-updates/8.982/build/2.6.x/kcl_agp.o
  CC [M] /var/lib/dkms/fglrx-updates/8.982/build/2.6.x/kcl_debug.o
  CC [M] /var/lib/dkms/fglrx-updates/8.982/build/2.6.x/kcl_ioctl.o
  CC [M] /var/lib/dkms/fglrx-updates/8.982/build/2.6.x/kcl_io.o
  CC [M] /var/lib/dkms/fglrx-updates/8.982/build/2.6.x/kcl_pci.o
  CC [M] /var/lib/dkms/fglrx-updates/8.982/build/2.6.x/kcl_str.o
  CC [M] /var/lib/dkms/fglrx-updates/8.982/build/2.6.x/kcl_iommu.o
  CC [M] /var/lib/dkms/fglrx-updates/8.982/build/2.6.x/kcl.o
  CC [M] /var/lib/dkms/fglrx-updates/8.982/build/2.6.x/kcl_wait.o
  LD [M] /var/lib/dkms/fglrx-updates/8.982/build/2.6.x/fglrx.o
  Building modules, stage 2.
  MODPOST 1 modules
  CC /var/lib/dkms/fglrx-updates/8.982/build/2.6.x/fglrx.mod.o
  LD [M] /var/lib/dkms/fglrx-updates/8.982/build/2.6.x/fglrx.ko
make[1]: Leaving directory `/usr/src/linux-headers-3.2.0-31-generic'
build succeeded with return value 0
duplication skipped - generator was not called from regular lib tree
done.
turtle@turtle-Precision-WorkStation-370:~$
---------------------------------------------------------------
am i done or do i need to install anyt...

Read more...

王其 (cxwangqi) on 2012-10-04
Changed in fglrx-installer-updates (Ubuntu):
assignee: Alberto Milone (albertomilone) → nobody
status: Triaged → Confirmed
status: Confirmed → Fix Committed
description: updated
Daniel van Vugt (vanvugt) wrote :

Fix committed where?

Changed in fglrx-installer-updates (Ubuntu):
status: Fix Committed → Triaged
assignee: nobody → Alberto Milone (albertomilone)
Richard Hansen (rhansen) wrote :

Attached is a debdiff that I believe fixes this bug. I've uploaded this version to my PPA (<https://launchpad.net/~a7x/+archive/bug1048142>). To install:

    sudo apt-add-repository ppa:a7x/bug1048142
    sudo apt-get update
    sudo apt-get upgrade

Note: My machine sometimes freezes at boot with this version, but at least the "AMD Unsupported Hardware" watermark is gone (I have a Radeon HD 7750, which isn't supported by 8.960).

The attachment "debdiff for precise" of this bug report has been identified as being a patch in the form of a debdiff. The ubuntu-sponsors team has been subscribed to the bug report so that they can review and hopefully sponsor the debdiff. In the event that this is in fact not a patch you can resolve this situation by removing the tag 'patch' from the bug report and editing the attachment so that it is not flagged as a patch. Additionally, if you are member of the ubuntu-sponsors team please also unsubscribe the team from this bug report.

[This is an automated message performed by a Launchpad user owned by Brian Murray. Please contact him regarding any issues with the action taken in this bug report.]

tags: added: patch
Greg King (greg-james-king) wrote :
Download full text (5.6 KiB)

I've decided to check-out the source package and check that the patches (from debian/dkms/patches) have already been applied. I did the following:
[code]apt-get source fglrx-installer-updates[/code]

From patch/fix-build-issue-on-i386-where-TS_USEDFPU-is-no-longe.patch there are two changes:
#1 (file: lib/modules/fglrx/build_mod/firegl_public.c)
+#if LINUX_VERSION_CODE >= KERNEL_VERSION(3,4,0)
+#include <asm/fpu-internal.h>
+#endif

[b]This change has been added.[/b]

#2 (file: lib/modules/fglrx/build_mod/firegl_public.c)
@@ -5834,10 +5837,16 @@ void ATI_API_CALL KCL_fpu_begin(void)
 #ifdef CONFIG_X86_64
     kernel_fpu_begin();
 #else
+#ifndef TS_USEDFPU
+ preempt_disable();
+ if (__thread_has_fpu(current))
+ __save_init_fpu(current);
+#else
     struct thread_info *cur_task = current_thread_info();
     preempt_disable();
     if (cur_task->status & TS_USEDFPU)
         __save_init_fpu(cur_task->task);
+#endif
     else
         clts();
 #endif

The current code (at the relevant function call):
[code]
void ATI_API_CALL KCL_fpu_begin(void)
{
#ifdef CONFIG_X86_64
    kernel_fpu_begin();
#else
#ifdef TS_USEDFPU
    struct thread_info *cur_thread = current_thread_info();
    struct task_struct *cur_task = get_current();
    preempt_disable();
    if (cur_thread->status & TS_USEDFPU)
        __save_init_fpu(cur_task);
    else
        clts();
#else
    /* TS_USEDFPU is removed in kernel 3.3+ and 3.2.8+ with the commit below:
     * https://github.com/torvalds/linux/commit/f94edacf998516ac9d849f7bc6949a703977a7f3
     */
    struct task_struct *cur_task = current;
    preempt_disable();
#if LINUX_VERSION_CODE >= KERNEL_VERSION(3,3,0)
    /* The thread structure is changed with the commit below for kernel 3.3:
     * https://github.com/torvalds/linux/commit/7e16838d94b566a17b65231073d179bc04d590c8
     */
    if (cur_task->thread.fpu.has_fpu)
#else
    if (cur_task->thread.has_fpu)
#endif
        __save_init_fpu(cur_task);
    else
        clts();
#endif
#endif
}
[/code]

There is a small difference between what the patch would do (removing the version checking for kernel version) and what is in the module code (in the source package):
[code]
#else
    /* TS_USEDFPU is removed in kernel 3.3+ and 3.2.8+ with the commit below:
     * https://github.com/torvalds/linux/commit/f94edacf998516ac9d849f7bc6949a703977a7f3
     */
    struct task_struct *cur_task = current;
    preempt_disable();
    if (cur_task->thread.has_fpu)
        __save_init_fpu(cur_task);
    else
        clts();
#endif
[/code]

If the first line
[code]
    struct task_struct *cur_task = current;
    if (cur_task->thread.has_fpu)
[/code]
is equivalent to below, this patch looks to have been fully applied.
[code]
if (__thread_has_fpu(current))
[/code]

[b]It appears that these changes has been added.[/b]

From patch/replace-for_each_cpu_mask-with-for_each_possible_cpu.patch there are two changes:
#1(file: lib/modules/fglrx/build_mod/firegl_public.c)
[code]
@@ -4199,7 +4199,11 @@ static int kasInitExecutionLevels(unsigned long level_init)
 {
     unsigned int p;
     KCL_DEBUG5(FN_FIREGL_KAS, "%d\n", level_init);
+#if LINUX_VERSION_CODE >= KERNEL_VERSION(3,4,0)
+ for_...

Read more...

Changed in fglrx-installer-updates (Ubuntu Precise):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → High
milestone: none → precise-updates
status: New → Triaged
Changed in fglrx-installer-updates (Ubuntu):
status: Triaged → Fix Released
Alberto Milone (albertomilone) wrote :

SRU request:

Please accept fglrx-installer-updates_9.000-0ubuntu0.1 in precise-proposed. The package contains a new upstream release in addition to a fix for this bug.

i30817 (i30817) wrote :

Would be nice to get the precise update soon.

I agree with that! If I can build it before they do, I'll send you a
download link

On 18/10/12 12:19, i30817 wrote:
> Would be nice to get the precise update soon.
>

i30817 (i30817) wrote :

Am i better off updating to Quantal than waiting?

i30817 (i30817) wrote :

Shit!
Upgraded and:
aticonfig: No supported adapters detected

Seems like the previous major version was the last for my driver. Anyway to fix the last package and pin it?

i30817 (i30817) wrote :
Richard Hansen (rhansen) wrote :

I have updated the fglrx in my PPA (<https://launchpad.net/~a7x/+archive/bug1048142>). To install:

    sudo apt-add-repository ppa:a7x/bug1048142
    sudo apt-get update
    sudo apt-get upgrade

Roland S. (kaiser-ger) wrote :

Thanks a7x!
Now I can use my AMD Radeon HD 7750 in precise.

Greg Richards (greg-richards) wrote :

good work a7x! :)

Thanking you muchly

On 04/11/12 12:21, Roland S. wrote:
> Thanks a7x!
> Now I can use my AMD Radeon HD 7750 in precise.
>

Bryce Harrington (bryce) on 2012-11-16
description: updated
Bryce Harrington (bryce) wrote :

@Alberto, don't forget to fill in the SRU paperwork, I think they're being more strict about including that now. I went ahead and filled it in for this bug, so we can hopefully see some forward progress on the SRU review.

description: updated

Hello Radosław, or anyone else affected,

Accepted fglrx-installer-updates into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/fglrx-installer-updates/2:9.000-0ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in fglrx-installer-updates (Ubuntu Precise):
status: Triaged → Fix Committed
tags: added: verification-needed
stehpan (stehpan) wrote :

I tried to verify...
On my system with a Mobility Radeon HD 3400, I installled flgrx-update 2:9.000-0ubuntu0.1 and flgrx-amdcccle-updates 2:9.000-0ubuntu0.1 from the proposed repository via synaptic (removed of course flgrx-amdcccle and flgrx 2:8.960-0ubuntu1.1)
Got a warning at the end:
"W: Es wurde auf dpkg --assert-multi-arch gewartet, war jedoch nicht vorhanden - dpkgGo (10: Keine Kind-Prozesse)"
This wcould translate to s.th. like 'Waited for dpkg --assert-multi-arch, but was not there - dpkgGo (10: no child-processes)'

Unfortunately it seems not to support my device. The install itself seemed to go smooth.
Where can I see which device is supported by which driver version?
After a reboot. aticonfig said: aticonfig: No supported adapters detected
lsmod showed no sign of fglrx,
sudo modprobe fglrx gave me a "FATAL:" No such device

Furthermore I installed fglrx-experimental-9 (2:9.010-0ubuntu0.1) from the proposed repository. It yielded the same results as flgrx-update (2:9.000-0ubuntu0.1): Device not supported.

jockey-gtk 0.9.7-0ubuntu7 always crashes too.

Right now I'm going back to flgrx 2:8.960-0ubuntu1.1...

Alberto Milone (albertomilone) wrote :

The package in precise-proposed works fine on i386:

Loading new fglrx-updates-9.000 DKMS files...
First Installation: checking all kernels...
It is likely that 3.5.0-18-generic belongs to a chroot's host
Building for architecture i386
Building initial module for 3.2.0-35-generic
Done.

fglrx_updates:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/3.2.0-35-generic/updates/dkms/

depmod....

DKMS: install completed.

Chris Halse Rogers (raof) wrote :

Marking verification-done based on Alberto's comment.

tags: added: verification-done
removed: verification-needed

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fglrx-installer-updates - 2:9.000-0ubuntu0.1

---------------
fglrx-installer-updates (2:9.000-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release (LP: #1032672, LP: #1022898).
  * debian/dkms.conf.in:
    - Do not apply any kernel patch (LP: #1048142)
  * debian/rules:
    - Make it possible to set the xserver ABIs in debian/substvars.
    - Make sure that all binaries in /usr/bin are executable.
    - Correct the path to Qt libraries on i386.
  * Merge fixes from the upstream installer:
    - Fix openCL issues running x86 binaries on x86_64.
    - Make sure that dh_shlibdeps doesn't complain about missing qt
      libraries.
  * Switch to dpkg-source 3.0 (quilt) format (as it's not
    a native package).
 -- Alberto Milone <email address hidden> Wed, 17 Oct 2012 07:55:03 +0200

Changed in fglrx-installer-updates (Ubuntu Precise):
status: Fix Committed → Fix Released
Richard Hansen (rhansen) wrote :

I have removed the version I made from my PPA. Please downgrade to the officially supported version now that a fix has been released.

LAZA (laza74) wrote :

Happened for me after installing Kernel 3.8.0~precise on my Xubuntu 12.04.1 with fglrx-updates 2:9.000-ubuntu0.3!

LinkedIn
------------

Bug,

I'd like to add you to my professional network on LinkedIn.

- Greg

Greg Richards
Consultant/Implementor at IT consultant Self Employed
Cleveland, United Kingdom

Confirm that you know Greg Richards:
https://www.linkedin.com/e/hokm8k-hmaxc1dd-1i/isd/17021493980/W3hToAMj/?hs=false&tok=1T0zuW4SPU8RY1

--
You are receiving Invitation to Connect emails. Click to unsubscribe:
http://www.linkedin.com/e/hokm8k-hmaxc1dd-1i/ujHueNVgbiuwMP1WkMyUjRp4yMWq3Zt5o1zPVnPk/goo/1048142%40bugs%2Elaunchpad%2Enet/20061/I5655182489_1/?hs=false&tok=0ZSfu9g-HU8RY1

(c) 2012 LinkedIn Corporation. 2029 Stierlin Ct, Mountain View, CA 94043, USA.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers